<?php

	session_start();
	
	$_SESSION['database']="local";
	
	if($_SESSION['database']=="local")
	  {
	     $db_host    = "localhost";
	     $db_user   = "root";
	     $db_pass   = "";
     	     $db_name   = "boutique";

	 }
	
	if($_SESSION['database']=="public")
	  {
  	     $db_host    = "sql2";
   	     $db_user   = "analogde";
 	     $db_pass   = "rainbow";
    	     //$db_type   = "mysql";
	     $db_name   = "analogde";
	 }

?>

<?php

				$categorie = "importation";

	 			$connexion = mysql_connect($db_host,$db_user,$db_pass); 
				mysql_select_db($db_name, $connexion);   
			           
				$p1 = " CREATE TABLE $categorie (
		  		id tinyint(4) unsigned NOT NULL AUTO_INCREMENT,
		  		id_catalogue varchar(20) NOT NULL,
		  		designation varchar(50) NOT NULL DEFAULT '',
		  		reference varchar(20) NOT NULL,
		  		marque varchar(20) NOT NULL,
		  		fournisseur varchar(20) NOT NULL,
		  		garantie varchar(30) NOT NULL,
		  		dispo varchar(20) NOT NULL,
		  		prix_ttc decimal(7,2) NOT NULL,
		  		prix_ht decimal(7,2) NOT NULL,
		  		remise varchar(20) NOT NULL,
				tva decimal(5,2) NOT NULL,
		  		descriptif text NOT NULL,
		  		caracteristiques text NOT NULL,
		  		image varchar(20) NOT NULL,
		  		stock varchar(20) NOT NULL,
		  		status varchar(20) NOT NULL,
		  		remarques text NOT NULL,
		  		liens text NOT NULL,
		  		heure varchar(20) NOT NULL,
				date varchar(20) NOT NULL, "; 
		  	 	
		  	 	$p2 = " PRIMARY KEY (id) ) ";
			       
			        $requete = $p1 .$p2; 	    
			        
				//mysql_query($requete);	     

?>

<?php

	/*$row = 1;
	$handle = fopen("classeur.csv", "r");
	while (($data = fgetcsv($handle, 1000, ";")) !== FALSE)
	     {
    		$num = count($data);
    		echo "<p> $num champs à la ligne $row: <br /></p>\n";
    		$row++;
    		for ($c=0; $c < $num; $c++)
    		 {
        		echo $data[$c] . "<br />\n";
    		}
		}
	fclose($handle);*/

	$fichier = "site.csv";

	$fp = fopen("$fichier", "r"); 

	$cpt_ligne = 0;

	while(!feof($fp))
	     {
		$ligne = fgets($fp,4096);
		$liste = explode(";",$ligne); // on cree un tableau des elements separe par point virgule
		
		$id_catalogue = $liste[0];
		$designation = $liste[1];
		$reference = $liste[2];
		$marque = $liste[3];
		$fournisseur = $liste[4];
		$garantie = $liste[5];
		$dispo = $liste[6];
		$prix_ttc = $liste[7];
		$prix_ht = $liste[8];
		$remise = $liste[9];
		$tva = $liste[10];
		$descriptif = $liste[11];
		$caracteristiques = $liste[12];
		$image = $liste[13];
		$stock = $liste[14]; 
		$status = $liste[15]; 
		$remarques = $liste[16]; 
		$liens = $liste[17]; 
		
		$heure = date("H:i"); 
 		$date = date("d-m-Y"); 
 		
 		if($cpt_ligne != 0 && $id_catalogue != "" )
		  {
		  	$connexion = mysql_connect($db_host,$db_user,$db_pass); 
			mysql_select_db($db_name, $connexion);
			$sql = "SELECT * FROM $categorie WHERE reference = '$reference' ";
	  	        $req = mysql_query($sql);
		        if(mysql_num_rows($req) == 0)
		  	  {
		  	
				$query = "INSERT INTO $categorie (id, id_catalogue, designation, reference, marque, fournisseur, garantie,dispo, prix_ttc, prix_ht,
		 		remise, tva, descriptif, caracteristiques, image ,stock, status, remarques, liens, heure, date) VALUES ( '', '$id_catalogue', 
		 		'$designation', '$reference', '$marque', '$fournisseur', '$garantie', '$dispo', '$prix_ttc', '$prix_ht',
		 		'$remise', '$tva', '$descriptif', '$caracteristiques', '$image' ,'$stock', '$status', '$remarques', '$liens', '$heure', '$date')";
		
				$result= mysql_query($query);
				if(mysql_error())
		  	  	  {
  					echo "Erreur dans la base de donnees soit des virgule sont presente, soit votre hebergeur vous lock <br> ou tout simplement pour l'erreur  suivante : ".mysql_error();
  					echo "<br>Importation stope";
  					fclose($fp);
  					exit();
		 	 	  }
		 	 }
		 	else { echo "Mise à jour du produit: $reference";
		 	       echo "<br>";	
		 	       //id_catalogue = '$id_catalogue' ,
		 	       $sql = "UPDATE $categorie SET 
					designation = '$designation' ,
					reference = '$reference' ,
					marque = '$marque' ,
					fournisseur = '$fournisseur' ,
					garantie = '$garantie' ,
					dispo = '$dispo' ,
					prix_ttc = '$prix_ttc' ,
					prix_ht = '$prix_ht' ,
					remise = '$remise' ,
					tva = '$tva' ,
					stock = '$stock' ,
					status = '$status' ,
					remarques = '$remarques' ,
					liens = '$liens' ,
					heure = '$heure' ,
					date = '$date' WHERE id_catalogue='$id_catalogue' ";

		 	       		$requete = mysql_query($sql);
		 	     }	 
		 	     
		 	     // comment supprimer de la database un article 
		 	     //mysql_query("DELETE FROM votre_table WHERE nom = 'Martin'"); 
		 }	 
		
		$cpt_ligne = $cpt_ligne +1;
	}

		echo "<br>Importation termine, avec succes.";

		fclose($fp);
		mysql_close($db); 


/*$heigh=sizeof($ARRAY);            // compte le nombre de ligne
$width=sizeof($ARRAY[0]);         // nombre de colonne par ligne

echo "<TABLE>";                          // ouvre la tableau HTML
for($i=1;$i<$heigh;$i++)                 // les données du tableau
{
    echo "<TR>\n";                       // Nouvelle ligne
    for($j=0;$j<$width;$j++)           // affiche colonne par colonne
    {
     echo "<TD>";

     if( $ARRAY[$i][$j]=="" )         // si la case est vide
         echo "&nbsp;";               // n'affiche rien
     else                        // sinon 
     {
         echo "<center>";
         echo htmlspecialchars($ARRAY[$i][$j], ENT_QUOTES); // affiche les données
         echo "</center>";
     }
     echo "</TD>\n";               // ferme la colonne
    }
    echo "</TR>\n";                  // ferme la ligne
}

echo "</TABLE>\n";                     // tableau terminé                         // Fin tableau*/

?>

<?php
/*
function read_csv( $filename, $separateur)      // transfert le fichier dans un tableau
{
 $FILE=fopen($filename,"r")                // ouverture du fichier
 
  while ($ARRAY[]=fgetcsv($FILE,1024,$separateur));      // lire ligne par ligne et coupe colonne par colonne
  fclose($FILE) ;                              // ferme le fichier
  array_pop($ARRAY);                                    // efface la derniere ligne
  return $ARRAY ;                              // renvoie le tableau
 
 
 echo "OK";
}


$nom = "classeur.csv";
$separateur=";"

$ARRAY=read_csv($nom,$separateur);      // lit le fichier

 echo "OK";
*/
?>